# fire raycast as the player to find the entity it's looking at
execute as @s at @s anchored eyes positioned ^ ^ ^ anchored feet run function lookme:raycast/start_ray

# tag the current player, so the entity only rotates towards them
tag @s add target.facing

# if the raycast finds an entity, proceeds with the operation
execute if entity @n[tag=rotate.me] run function lookme:operation/rotate

# send an error message if no entity is found
execute unless entity @n[tag=rotate.me] run tellraw @s {"text":"No entity found.","color":"dark_red","italic":false}

# remove the tag used to indentify the looked entity
tag @n[tag=rotate.me] remove rotate.me

# set the triggered scoreboard default value (0)
scoreboard players set @s lookme 0

# remove the 'current player' tag from the player
tag @s remove target.facing
